Summary:			Lipstik style for KDE
Summary(pl):			Styl Lipstik dla KDE
Name:				lipstik
Version:			2.2.3
Release:			5%{?dist}
Source0:			http://www.kde-look.org/CONTENT/content-files/18223-%{name}-%{version}.tar.gz
URL:				http://www.kde-look.org/content/show.php?content=18223
License:			GPLv2+
Group:				User Interface/Desktops
BuildRoot:			%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} >= 9
BuildRequires: kdelibs3-devel
%else
BuildRequires: kdelibs-devel
%endif



%description
Lipstik is a fast and clean style with many options 
to tune your desktop look

%description -l pl
Lipstik to szybki i prosty styl z wieloma opcjami 
do dostosowania Twojego pulpitu

%prep
%setup -q
iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog
mv ChangeLog.utf8 ChangeLog

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath
make %{?_smp_mflags}

%install 
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS ChangeLog COPYING README TODO
%defattr(-,root,root,-)
%{_libdir}/kde3/kstyle_lipstik_config.so
%{_libdir}/kde3/plugins/styles/lipstik.so
%{_libdir}/kde3/kstyle_lipstik_config.la
%{_libdir}/kde3/plugins/styles/lipstik.la
%{_datadir}/apps/kstyle/themes/lipstik.themerc
%{_datadir}/apps/kdisplay/color-schemes/lipstikstandard.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/lipstikwhite.kcsrc
%{_datadir}/apps/kdisplay/color-schemes/lipstiknoble.kcsrc

%changelog
* Thu Dec 13 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 2.2.3-5
- BuildRequires... Fixed

* Thu Dec 13 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 2.2.3-4
- BuildRequires... Fixed

* Fri Nov 30 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 2.2.3-3
- Encoding in ChangeLog... Fixed

* Thu Nov 29 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 2.2.3-2
- doc... Added

* Sun Nov 25 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 2.2.3-1
- SPEC from KDE Look (I wrote names here not, because this SPEC was shameful for them)... Imported
- files... Fixed
- Summary and description in polish language... Added
- configure, make and make install (also shameful)... Fixed
- BuildRequires (how source package can require kdelibs?)... Fixed
- Requires (rpm detects them)... Removed
- Vendor and Packager... Removed
- BuildRoot... Fixed
- rpath... Disabled
